Bug 868538 - [abrt] mate-power-manager-1.4.0-0100.fc17: _dbus_abort: Process /usr/bin/mate-power-preferences was killed by signal 6 (SIGABRT)
[abrt] mate-power-manager-1.4.0-0100.fc17: _dbus_abort: Process /usr/bin/mate...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mate-power-manager (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
abrt_hash:3a5570310f037ba9071523517fb...
:
Depends On: 868472
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-20 13:50 EDT by japa-fi
Modified: 2013-01-11 18:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-27 00:15:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (3.72 KB, text/plain)
2012-10-20 13:50 EDT, japa-fi
no flags Details
File: environ (2.92 KB, text/plain)
2012-10-20 13:51 EDT, japa-fi
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-20 13:51 EDT, japa-fi
no flags Details
File: backtrace (20.33 KB, text/plain)
2012-10-20 13:51 EDT, japa-fi
no flags Details
File: cgroup (127 bytes, text/plain)
2012-10-20 13:51 EDT, japa-fi
no flags Details
File: maps (27.93 KB, text/plain)
2012-10-20 13:51 EDT, japa-fi
no flags Details
File: dso_list (5.23 KB, text/plain)
2012-10-20 13:51 EDT, japa-fi
no flags Details
File: build_ids (2.16 KB, text/plain)
2012-10-20 13:51 EDT, japa-fi
no flags Details
File: open_fds (595 bytes, text/plain)
2012-10-20 13:51 EDT, japa-fi
no flags Details
File: var_log_messages (164 bytes, text/plain)
2012-10-20 13:51 EDT, japa-fi
no flags Details
File: backtrace (22.33 KB, text/plain)
2012-10-24 13:45 EDT, BobCat
no flags Details

  None (edit)
Description japa-fi 2012-10-20 13:50:55 EDT
Description of problem:
Lenovo T400, no battery attached, login to Mate desktop and crash will occur.

Version-Release number of selected component:
mate-power-manager-1.4.0-0100.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 3
cmdline:        mate-power-preferences
crash_function: _dbus_abort
kernel:         3.6.2-4.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #2 _dbus_abort at dbus-sysdeps.c:94
: #3 _dbus_warn_check_failed at dbus-internals.c:289
: #4 dbus_message_iter_append_basic at dbus-message.c:2526
: #6 marshal_strv at dbus-gvalue.c:1497
: #7 dbus_g_proxy_marshal_args_to_message at dbus-gproxy.c:2285
: #8 dbus_g_proxy_begin_call_internal at dbus-gproxy.c:2318
: #9 dbus_g_proxy_call at dbus-gproxy.c:2755
: #10 ??
: #15 gtk_button_key_release at gtkbutton.c:1654
: #16 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
Comment 1 japa-fi 2012-10-20 13:50:59 EDT
Created attachment 630515 [details]
File: core_backtrace
Comment 2 japa-fi 2012-10-20 13:51:01 EDT
Created attachment 630516 [details]
File: environ
Comment 3 japa-fi 2012-10-20 13:51:03 EDT
Created attachment 630517 [details]
File: limits
Comment 4 japa-fi 2012-10-20 13:51:06 EDT
Created attachment 630518 [details]
File: backtrace
Comment 5 japa-fi 2012-10-20 13:51:08 EDT
Created attachment 630519 [details]
File: cgroup
Comment 6 japa-fi 2012-10-20 13:51:10 EDT
Created attachment 630520 [details]
File: maps
Comment 7 japa-fi 2012-10-20 13:51:12 EDT
Created attachment 630521 [details]
File: dso_list
Comment 8 japa-fi 2012-10-20 13:51:14 EDT
Created attachment 630522 [details]
File: build_ids
Comment 9 japa-fi 2012-10-20 13:51:17 EDT
Created attachment 630523 [details]
File: open_fds
Comment 10 japa-fi 2012-10-20 13:51:19 EDT
Created attachment 630524 [details]
File: var_log_messages
Comment 11 BobCat 2012-10-24 13:45:31 EDT
Accessed screensaver from System - Preferences
Pressed power management button.
Changed time for powering down monitor from 1 to 30 minutes.  Computer sleep time is set to never.
Pressed default button.  This is where program crashed.  Was not prompted for root password.
Reopened power management and found that settings are saved for me.


backtrace_rating: 4
Package: mate-power-manager-1.4.0-0100.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 12 BobCat 2012-10-24 13:45:34 EDT
Created attachment 632908 [details]
File: backtrace
Comment 13 leigh scott 2012-10-25 05:49:05 EDT
Bug forwarded to https://github.com/mate-desktop/mate-power-manager/issues/17
Comment 14 Fedora Update System 2012-11-23 02:45:20 EST
mate-power-manager-1.5.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-power-manager-1.5.1-1.fc18
Comment 15 Fedora Update System 2012-11-23 11:28:04 EST
mate-power-manager-1.5.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mate-power-manager-1.5.1-2.fc17
Comment 16 Fedora Update System 2012-11-23 14:53:32 EST
Package mate-power-manager-1.5.1-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mate-power-manager-1.5.1-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-18908/mate-power-manager-1.5.1-2.fc18
then log in and leave karma (feedback).
Comment 17 Fedora Update System 2012-11-27 00:15:18 EST
mate-power-manager-1.5.1-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2012-11-27 03:23:53 EST
mate-power-manager-1.5.1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mate-power-manager-1.5.1-3.fc17
Comment 19 Fedora Update System 2012-12-03 21:52:22 EST
mate-file-manager-1.5.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-file-manager-1.5.2-1.fc18
Comment 20 Fedora Update System 2012-12-06 02:02:20 EST
mate-power-manager-1.5.1-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2013-01-11 18:14:59 EST
mate-file-manager-1.5.2-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.